MY DSi's firmware got updated, and can't run the R4i, can I do anything about it?

Discussion in 'R4 DS' started by 4anket2, Feb 17, 2013.

  1. 4anket2
    OP

    Newcomer 4anket2 Newbie

    Joined:
    Sep 28, 2009
    Messages:
    2
    Country:
    Israel
    Hi! I got a little problem - I used my DSi for over 4 years now, for games, drawing, and some music too, and everything with my R4i gold card. and lately, I visited a friend with my DS, and his little brother asked me If I can let him play some with it (He got a 3DS, and he just wanted to see "the roots" of his device), so I gave it to him, and later, he came to me, and said - "Wow, your DS is really outdated, it's firmware is like 2 years old, I updated it for you", I heard that the card works only with the firmware I had and lower, and the card stopped working. I spent the entire day trying to make it work with the new firmware, but nothing works, just error screen when I launch the card. Is there anything I can do to turn it back? I tried tons of solutions online, none work.

    card info -

    R4i - Ver2.0

    www.r4ids.com
     
  2. Ryupower

    Member Ryupower Brood

    Joined:
    Oct 8, 2007
    Messages:
    2,763
    Country:
    United States
    it might need a system the can USE the card(like a DS/DS lite) so you can update the card to the newest firmware


    or buy a new card like the supercard DS two
     
  3. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    nope
    the highest the R4i gold 2.0 from r4ids.com supports is DSi 1.4.3 or 3DS 2.1.0-3
    they have dropped support for the card now also

    your card will never be able to work on 1.4.5 so its useless unless you have a DsLite or DS Phat to play it on

    if you want to continue to use a flashcard on your DSi you will need a new one that supports the newer updates
     
  4. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    You can't update an R4 on a DS that it's been blocked on, and there is no way to downgrade a DSi.

    That R4 will never boot on that DSi again.
     
  5. 4anket2
    OP

    Newcomer 4anket2 Newbie

    Joined:
    Sep 28, 2009
    Messages:
    2
    Country:
    Israel
    OK then, guess that's it for my awesome DS experience :sad: . thanks for everyone that replied, really appreciate that ;)
     
  6. Rydian

    Member Rydian Resident Furvertâ„¢

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States

Share This Page